package com.fjs.scenic.entity.system;

import java.util.Date;

public class Manage {
    private Integer id;

    private String name;

    private String account;

    private String password;

    private String phone;

    private String status;

    private Date createTime;

    private Date updateTime;

    private Integer manageId;

    //0后台管理员 1领导账户
    private String type;

    private String permissions;

    private String supplierIds;

    public Manage() {}

    public Manage(String name, String account, String password, String phone, String status, Date createTime, Date updateTime, Integer manageId, String type, String permissions,String supplierIds) {
        this.name = name;
        this.account = account;
        this.password = password;
        this.phone = phone;
        this.status = status;
        this.createTime = createTime;
        this.updateTime = updateTime;
        this.manageId = manageId;
        this.type = type;
        this.permissions = permissions;
        this.supplierIds = supplierIds;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Integer getManageId() {
        return manageId;
    }

    public void setManageId(Integer manageId) {
        this.manageId = manageId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPermissions() {
        return permissions;
    }

    public void setPermissions(String permissions) {
        this.permissions = permissions;
    }

    public String getSupplierIds() {
        return supplierIds;
    }

    public void setSupplierIds(String supplierIds) {
        this.supplierIds = supplierIds;
    }
}

